export default function setHOFStore() {
  return {
    tabPosition: 0,
    totalTabPosition: 0,
    atTabPosition: 0,
    abilityTabPosition: 0,

    setTabPosition(tabPosition: number) {
      this.tabPosition = tabPosition;
    },

    setTotalTabPosition(totalTabPosition: number) {
      this.totalTabPosition = totalTabPosition;
    },

    setAtTabPosition(atTabPosition: number) {
      this.atTabPosition = atTabPosition;
    },

    setAbilityTabPosition(abilityTabPosition: number) {
      this.abilityTabPosition = abilityTabPosition;
    },
  };
}
